Subject: Inconsistent Handling of HTML-Tags in HTML-Elements
Description

The following behavior seems not good to me:

    1. Add a new Html-Content-Element
    2. Inline-Edit it inserting '<p>Hello World</p>'
    3. Deselect Html-Node and it displays '<p>Hello World</p>'
    4. Select it again and open the Html-Editor clicking in 'Edit HTML'
    5. Add '!' after 'World'
    6. Klick Apply
    7. Now the content element displays 'Hello World!' and the surrounding p-tag is gone

My problem: Inline-editing seems to preserve tags as text and later html-editing removes the prior preserved tags again.
What I see is not what I get.

Related issues:
related to TYPO3.Neos - Bug # 33010: Editing of HTML elements with javascript... Closed 2012-01-06
related to TYPO3.Neos - Bug # 52404: Inline-editing new HMTL-Content-Elements Resolved 2013-09-30

Associated revisions
Revision 0ad32818 - 2013-10-01 16:09 - Christoph Dähne 

[BUGFIX] HTML editor should be able to edit inline JavaScript

    -  shows inline java script correctly in html editor
    -  inline java script is executed exactly once on apply
    -  html added in inline editing is escaped
Think about:
    -  if inline java script is broken, it breaks the backend

Change-Id: Ie037243bf69576a2d9ce6b5aac32847c761b1aa9
Resolves: #33010, #52387
Reviewed-on: https://review.typo3.org/24168
Reviewed-by: Jacob Floyd
Tested-by: Jacob Floyd
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-09-30 17:23 - Christoph Dähne

Fixed with #33010:

'<' and '>' are escaped during inline editing.
#2 - 2013-09-30 19:41 - Christoph Dähne

Inline-editing HTML-Content-Elements should not be possible at all, but currently is sometimes.
See #52404

#3 - 2013-10-01 16:35 - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0ad328185f2c6c02278fddb257315e5758925703.
